nix: show wait time on withPgrst

This commit is contained in:
steve-chavez
2025-12-23 15:00:24 -05:00
committed by Steve Chavez
parent d2aa6c1b8a
commit 7c3bccf4ba
+3 -1
View File
@@ -413,12 +413,14 @@ let
} }
trap cleanup EXIT trap cleanup EXIT
wait_start=$SECONDS
timeout -s TERM "$_arg_timeout" ${waitForPgrstReady} || { timeout -s TERM "$_arg_timeout" ${waitForPgrstReady} || {
echo "timed out, output:" echo "timed out, output:"
cat "$tmpdir"/run.log cat "$tmpdir"/run.log
exit 1 exit 1
} }
echo "done." wait_duration=$((SECONDS - wait_start))
printf "done in %ss.\n" "$wait_duration"
if [[ -n "$_arg_monitor" ]]; then if [[ -n "$_arg_monitor" ]]; then
${monitorPid} "$pid" > "$_arg_monitor" & ${monitorPid} "$pid" > "$_arg_monitor" &